Améliorer la compatibilité des programmes sous Windows 2000

Le par  |  2 commentaire(s)

Améliorer la compatibilité des programmes sous Windows 2000.

Note des utilisateurs :
(240 votes)
Systèmes d'exploitation supportés :
De nombreuses applications ou jeux refusent de s'installer ou de fonctionner sur des plateformes NT (NT4/W2000/XP) du fait qu'elles ont été initialement créées pour fonctionner sous des OS différents, typiquement Windows 95 ou 98. Ces limitations, souvent arbitraires, peuvent être, en partie, contournées par des outils fournits par Microsoft.

 

Ainsi, Windows 2000 a été livré avec un module de compatibilité présent sur le CD-ROM dans le répertoire SUPPORT. Ce programme, nommé APCOMPAT.EXE, vous permet de faire croire à une application ou à un jeux qu'il est éxécuté sous un OS différent, par exemple sous W98 alors que l'on utilise W2000.
Cependant ce programme présente énormément de lacunes et ne marche pas à tous les coups.

 

Image

 

Avec l'arrivée du Service Pack 2 pour Windows 2000, Microsoft a essayé de corriger le tir en développant une librairie spécialisée sur ces problèmes de compatibilité, bien que le résultat ne soit toujours pas garanti à 100% !!!
Ce fichier, nommé slayerui.dll, est intégré dans le SP2 mais n'est pas activé par défaut !

Pour le faire, il suffit de cliquer sur "Démarrer", "Exécuter..." puis taper "regsvr32 %systemroot%\apppatch\slayerui.dll" et cliquer sur "OK".

Vous devez alors obtenir le message suivant :

Image


Maintenant, et uniquement pour les raccourcis d'applications, un nouvel onglet Compatibility est apparu lorsque vous cliquez droit dessus en choisissant "Propriétés".

Image

 

Si vous souhaitez désactiver cette fonctionnalité, il suffit de taper la commande :

regsvr32 /u %systemroot%\apppatch\slayerui.dll

 

Note : cette fonctionnalité a été intégrée d'origine dans le nouveau système d'exploitation Windows XP.

Vidéos High-Tech et Jeu Vidéo
Téléchargements
Vos commentaires
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
Le #167952
avez vous le détail sous xp pour le rendre compatible avec certains jeux qui fonctionnent sous 98se '
Si c'est la même procédure merci de préciser.
Amicalement
alain
Le #168101
tu as juste à faire comme la dernière foto: clic droit sur l'exe qui lance ton jeu ( une fois installé ), menu propriétéscompatibilité et tu déroules le menu et choisis ton mode de compatibilité.

9a ne marche pas sur tous les jeux ou toutes les applis..
Suivre les commentaires
Poster un commentaire
Anonyme
:) ;) :D ^^ 8) :| :lol: :p :-/ :o :w00t: :roll: :( :cry: :facepalm:
:andy: :annoyed: :bandit: :alien: :ninja: :agent: :doh: :@ :sick: :kiss: :love: :sleep: :whistle: =]